%define	real_name	Newt
%define	enable_tests	0

%define	__find_provides	%{_libdir}/rpm/find-provides.perl
%define	__find_requires	%{_libdir}/rpm/find-requires.perl

Summary:	Perl interface to the Newt UI library.
Name:		perl-%{real_name}
Version:	1.08
Release:	3
License:	distributable
Group:		Utilities/CPAN
Source0:	%{real_name}-%{version}.tar.gz
Patch0:		Newt-1.08-debian-gd-1.diff
Patch1:		Newt-1.08-no-tcl-gd-1.diff
Patch2:		Newt-1.08-gcc344-gd-1.diff
URL:		http://search.cpan.org/CPAN/authors/id/A/AM/AMEDINA/
Requires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description 
Newt is a perl library built on top of Red Hat's newt C library for
text screen widgets. It allows a perl programmer to build simple but
effective text-mode user interfaces with little effort.

%files -f %{module_name}-%{version}-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  export OPTIMIZE="$RPM_OPT_FLAGS"
  export CFLAGS="$RPM_OPT_FLAGS"
  perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLDIRS=vendor
  make %{?_smp_mflags}

  %if %{enable_tests}
    make test || :
  %endif

%install
 [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install

  [ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

  # Kill unused files.
  find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

  # Build filelist.
  find $RPM_BUILD_ROOT/%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{module_name}-%{version}-filelist

  # Sanity check.
  if [ "$(cat %{module_name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 31 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.08, Release 3
  - Rebuild against latest libnewt.

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.08, Release 2
  - Don't look for brp-compress in %{_libdir} as it doesn't
    work on 64bit systems.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.08, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
